
Summary: Multimedia framework api
Name:    phonon 
Version: 4.2.0
Release: 7%{?dist}

Group:   System Environment/Libraries
License: LGPLv2+
URL:     http://phonon.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/stable/phonon/%{version}/phonon-%{version}.tar.bz2
Source1: http://gstreamer.freedesktop.org/data/images/artwork/gstreamer-logo.svg
# Make PulseAudio the default again when listed by the backend.
# Note that this currently only works for the Xine backend. Device selection in
# the GStreamer backend is weird: there is a setting for "sink" which cannot be
# set through systemsettings, and listed devices are only those supported by the
# "sink". So it never lists "PulseAudio" as a supported device, you have to pick
# it as a "sink", and then the device setting is ignored entirely.
Patch0:  phonon-4.2.0-pulseaudio.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: automoc4
BuildRequires: cmake
BuildRequires: glib2-devel
BuildRequires: gstreamer-devel
BuildRequires: gstreamer-plugins-base-devel
BuildRequires: kde-filesystem
BuildRequires: libxml2-devel
BuildRequires: qt4-devel >= 4.4.0
BuildRequires: ImageMagick

## hard-code phonon-backend-xine, for now, so yum doesn't choose -gstreamer by default
Requires: phonon-backend-xine
#Requires: phonon-backend

%description
%{summary}.

%package backend-gstreamer
Summary: Gstreamer phonon backend
Group:   Applications/Multimedia 
Requires: %{name} = %{version}-%{release}
Provides: phonon-backend = %{version}-%{release}
Obsoletes: %{name}-backend-gst < 4.2.0-4
Provides:  %{name}-backend-gst = %{version}-%{release}
Requires(post): xdg-utils
Requires(postun): xdg-utils
%description backend-gstreamer
%{summary}.

%package devel
Summary: Developer files for %{name}
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: qt4-devel
Requires: pkgconfig
%description devel
%{summary}.


%prep
%setup -q
%patch0 -p1 -b .pulseaudio


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot} 

make install DESTDIR=%{buildroot} -C %{_target_platform}

install -D -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}-gstreamer.svg
for i in 16 22 32 48 64 128; do
  mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps
  convert -background None -geometry ${i}x${i}  %{SOURCE1} %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps/%{name}-gstreamer.png
done



%clean
rm -rf %{buildroot} 


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n %{name}-backend-gstreamer
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%postun -n %{name}-backend-gstreamer
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%files
%defattr(-,root,root,-)
%doc COPYING.LIB 
%{_libdir}/libphonon*.so.*
%{_datadir}/dbus-1/interfaces/org.kde.Phonon.AudioOutput.xml
# kde4-specific dirs
%dir %{_kde4_libdir}/kde4/plugins/phonon_backend/
%dir %{_kde4_datadir}/kde4/services/phononbackends/

%files backend-gstreamer
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/plugins/phonon_backend/phonon_gstreamer.so
%{_kde4_datadir}/kde4/services/phononbackends/gstreamer.desktop
%_datadir/icons/hicolor/*/*/*.png
%_datadir/icons/hicolor/*/*/*.svg

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/KDE
%{_includedir}/KDE/Phonon/
%{_includedir}/phonon/
%{_libdir}/pkgconfig/phonon.pc
%{_libdir}/libphonon*.so


%changelog
* Tue Sep 30 2008 Than Ngo <than@redhat.com> 4.2.0-7
- fix tranparent issue by convert

* Tue Sep 30 2008 Than Ngo <than@redhat.com> 4.2.0-6
- add missing icon

* Wed Sep 17 2008 Rex Dieter <rdieter@fedoraproject.org> 4.2.0-5
- Requires: phonon-backend-xine

* Sun Aug 10 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.2.0-4
- rename -backend-gst back to -backend-gstreamer (longer name as -backend-xine)
  The GStreamer backend isn't ready to be the default, and KDE 4.1 also defaults
  to the Xine backend when both are installed.
- fix PulseAudio not being the default in the Xine backend (4.2 regression)

* Sat Aug 02 2008 Rex Dieter <rdieter@fedoraproject.org> 4.2.0-3
- -backend-gst: Obsoletes: -backend-gstreamer < 4.2.0-2

* Thu Jul 24 2008 Rex Dieter <rdieter@fedoraproject.org> 4.2.0-2
- rename -backend-gstreamer -> backend-gst

* Wed Jul 23 2008 Rex Dieter <rdieter@fedoraproject.org> 4.2.0-1
- phonon-4.2.0

* Mon Jul 14 2008 Rex Dieter <rdieter@fedoraproject.org> 4.2-0.4.beta2
- BR: automoc4
- -backend-gstreamer subpkg

* Tue Jul 01 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.2-0.3.beta2
- drop automoc libsuffix patch, no longer needed

* Fri Jun 20 2008 Rex Dieter <rdieter@fedoraproject.org> 4.2-0.2.beta2
- phonon 4.2beta2 (aka 4.1.83)

* Sat Jun 14 2008 Rex Dieter <rdieter@fedoraproject.org> 4.2-0.1.20080614svn820634
- first try

